package verkehrsmittel;

import java.awt.Color;

import verkehrsmittel.boden.AllesWasRaederHat;

public class MeinAuto extends AllesWasRaederHat {
	private Color farbe;

	/**
	 * Anzahl der Raeder.
	 */
	private int anzahlRaeder;

	/**
	 * Maximales Gewicht, das ein Reifen aushaelt ohne zu platzen.
	 */
	private double maxReifenBelastung;

	/**
	 * Maximales Gewicht, das eine Achse aushaelt ohne zu brechen.
	 */
	private double maxAchsenBelastung;

	/**
	 * Das Eigengewicht des leeren Autos.
	 */
	private double gewicht;

	public Color farbe() {
		return farbe;
	}

	public int anzahlRaeder() {
		return anzahlRaeder;
	}

	public double maxBeladungsGewicht() {
		double m = 0;
		double mr = (4 * maxReifenBelastung);
		double ma = (2 * maxAchsenBelastung);

		if (mr >= ma) {
			m = mr;
		} else {
			m = ma;
		}

		return m - gewicht;
	}

	public int maxPersonen(double personenGewicht) {
		double m = 0;
		double mr = (4 * maxReifenBelastung);
		double ma = (2 * maxAchsenBelastung);

		if (mr >= ma) {
			m = mr;
		} else {
			m = ma;
		}

		return (int) ((m - gewicht) / personenGewicht);
	}
}
